| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | List of all members
Hazelnp::HazelnuppConstraintIncompatibleParameters Class Reference

Gets thrown when a parameter constrained to be incompatible with other parameters gets supplied alongside at least one of those incompatible ones. More...

`#include <HazelnuppException.h>`

Inheritance diagram for Hazelnp::HazelnuppConstraintIncompatibleParameters:
[legend]
Collaboration diagram for Hazelnp::HazelnuppConstraintIncompatibleParameters:
[legend]

## Public Member Functions
| HazelnuppConstraintIncompatibleParameters ()
| HazelnuppConstraintIncompatibleParameters (const std::string &key1, const std::string &key2)
Public Member Functions inherited from Hazelnp::HazelnuppConstraintException
| HazelnuppConstraintException ()
| HazelnuppConstraintException (const std::string &msg)
Public Member Functions inherited from Hazelnp::HazelnuppException
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Additional Inherited Members
Protected Attributes inherited from Hazelnp::HazelnuppException
std::string | message

## Detailed Description

Gets thrown when a parameter constrained to be incompatible with other parameters gets supplied alongside at least one of those incompatible ones.

Definition at line 101 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppConstraintIncompatibleParameters() [1/2]

Hazelnp::HazelnuppConstraintIncompatibleParameters::HazelnuppConstraintIncompatibleParameters | ( |  | ) |
| inline

Definition at line 104 of file HazelnuppException.h.

104 : HazelnuppConstraintException() {};

## ◆ HazelnuppConstraintIncompatibleParameters() [2/2]

Hazelnp::HazelnuppConstraintIncompatibleParameters::HazelnuppConstraintIncompatibleParameters | ( | const std::string & | key1,
|  | const std::string & | key2
| ) |  |
| inline

Definition at line 105 of file HazelnuppException.h.

106 {
107 // Generate descriptive error message
108 std::stringstream ss;
109 ss << "Parameter \"" << key1 << "\" is NOT compatible with parameter \"" << key2 << "\"!";
110
111 message = ss.str();
112 return;
113 };

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

Hazelnp::HazelnuppConstraintException::HazelnuppConstraintException
HazelnuppConstraintException()
Definition: HazelnuppException.h:50
Hazelnp::HazelnuppException::message
std::string message
Definition: HazelnuppException.h:24